+++
title = 'HowTo Download a website'
date = 2024-08-24
+++
```
wget \
     --recursive \
     --level=inf \
     --no-clobber \
     --page-requisites \
     --adjust-extension \
     --span-hosts \
     --user-agent=Mozilla \
     --convert-links \
     --no-parent \
     -e robots=off \
     --domains blog.ca.sual.in \
       https://blog.ca.sual.in/
```

It will download my site. You can download specific subdirectory.

You may want to decrease `--level` - its' depth for subdirectories download.  
`--domains` - limits to specific domain.


  <!-- "© Casual, 2024" TODO - this thing have last link from source -->

{{< source >}}
https://superuser.com/questions/1415717/how-to-download-an-entire-site-with-wget-including-its-images#1415765
https://simpleit.rocks/linux/how-to-download-a-website-with-wget-the-right-way/
{{< /source >}}


          
        
